< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mdtpauthorisation
  Definition Classes
    hmrc
-  package client
  Definition Classes
    mdtpauthorisation
-  package retrievals
  Definition Classes
    client
- CompositeRetrieval
- EmptyRetrieval
- OptionalRetrieval
- Retrieval
- Retrievals
- SimpleRetrieval
- ~

c

uk.gov.hmrc.mdtpauthorisation.client.retrievals

# SimpleRetrieval 

###

#### case class SimpleRetrieval[A](propertyName: String, valueReads: Reads[A]) extends Retrieval[A] with Product with Serializable

A Retrieval that will return only a single property on successful authorisation

propertyName

  The name of the property to return from auth on success. Must be a supported property in auth.

valueReads

  The JSON Reads to apply to the returned JSON property

Linear Supertypes
Serializable, Serializable, Product, Equals, Retrieval[A], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SimpleRetrieval
2. Serializable
3. Serializable
4. Product
5. Equals
6. Retrieval
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new SimpleRetrieval(propertyName: String, valueReads: Reads[A])

   propertyName

     The name of the property to return from auth on success. Must be a supported property in auth.

   valueReads

     The JSON Reads to apply to the returned JSON property

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def and[B](other: Retrieval[B]): Retrieval[~[A, B]]

   Allows simpler and more concise code for the lib user at the call site when authorising

   Allows simpler and more concise code for the lib user at the call site when authorising

   other

     The Retrieval to be joined with this Retrieval

   returns

     A Retrieval[A ~ B] that contains this Retrieval and the one passed in

   Definition Classes
     Retrieval
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  val propertyName: String
15.  val propertyNames: Seq[String]

    The properties to return from a successful authorise call.

    The properties to return from a successful authorise call. These have to be explicitly supported by the auth service being called

    returns

      A list of property names to return.

    Definition Classes
      SimpleRetrieval → Retrieval
16.  val reads: Reads[A]

    The Reads that will be used upon the returned JSON

    The Reads that will be used upon the returned JSON

    returns

      JSON Reads

    Definition Classes
      SimpleRetrieval → Retrieval
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  val valueReads: Reads[A]
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Retrieval[A]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped